{
  lib,
  stdenv,
  fetchFromSourcehut,
  meson,
  ninja,
  pkg-config,
  wlroots,
  wayland,
  wayland-protocols,
  libX11,
  libGL,
}:
stdenv.mkDerivation rec {
  pname = "glpaper";
  version = "unstable-latest";

  src = fetchFromSourcehut {
    owner = "~scoopta";
    repo = pname;
    vc = "hg";
    rev = "9ba3806561312d83ed66dc8583c36d70fda8cd7a";
    sha256 = "sha256-//IKW2BfpqwcR2WAPShs0kzn5nkV/yyABPvOYm3zMPU=";
  };

  nativeBuildInputs = [meson ninja pkg-config];
  buildInputs = [
    wayland
    libX11 # required by libglvnd
    libGL
  ];

  meta = with lib; {
    description = "Wallpaper program for wlroots based Wayland compositors such as sway that allows you to render glsl shaders as your wallpaper";
    homepage = "https://hg.sr.ht/~scoopta/glpaper";
    license = licenses.gpl3Plus;
    platforms = platforms.linux;
    maintainers = with maintainers; [ccellado];
  };
}
